config/routes.rb
Dairymen::Application.routes.draw do

  resources :plans

  resources :shifts

  resources :stalls

  resources :kine do
    resources :seminations
    resources :estruses
  end

  root :to => 'kine#index'

end

app/models/plan.rb
class Plan < ActiveRecord::Base
  belongs_to :cow
  validates_presence_of :cow
end

app/controllers/plans_controller.rb
class PlansController < ApplicationController
  # GET /plans
  # GET /plans.json
  def index
    @plans = Plan.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @plans }
    end
  end

  # GET /plans/1
  # GET /plans/1.json
  def show
    @plan = Plan.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @plan }
    end
  end

  # GET /plans/new
  # GET /plans/new.json
  def new
    @plan = Plan.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @plan }
    end
  end

  # GET /plans/1/edit
  def edit
    @plan = Plan.find(params[:id])
  end

  # POST /plans
  # POST /plans.json
  def create
    @plan = Plan.new(params[:plan])

    respond_to do |format|
      if @plan.save
        format.html { redirect_to @plan, notice: 'Plan was successfully created.' }
        format.json { render json: @plan, status: :created, location: @plan }
      else
        format.html { render action: "new" }
        format.json { render json: @plan.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /plans/1
  # PUT /plans/1.json
  def update
    @plan = Plan.find(params[:id])

    respond_to do |format|
      if @plan.update_attributes(params[:plan])
        format.html { redirect_to @plan, notice: 'Plan was successfully updated.' }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @plan.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /plans/1
  # DELETE /plans/1.json
  def destroy
    @plan = Plan.find(params[:id])
    @plan.destroy

    respond_to do |format|
      format.html { redirect_to plans_url }
      format.json { head :ok }
    end
  end
end

app/helpers/plans_helper.rb
module PlansHelper
end

app/views/plans/_form.html.haml
= simple_form_for @plan do |form|

  -if @plan.errors.any?
    #errorExplanation
      %h2= "#{pluralize(@plan.errors.count, "error")} prohibited this #{Plan.name.titleize} from being saved:"
      %ul
        - @plan.errors.full_messages.each do |msg|
          %li= msg  

  = form.input :start
  = form.input :end
  = form.input :content
  = form.association :cow, :label_method => lambda{|x| x.ear_tag}

  .actions
    = form.button :submit

app/views/plans/edit.html.haml
%h1 Editing plan

= render 'form'

= link_to 'Show', @plan
\|
= link_to 'Back', plans_path

app/views/plans/index.html.haml
%h1 Listing plans

%table
  %tr
    %th Start
    %th End
    %th Content
    %th Cow
    %th
    %th
    %th

  - @plans.each do |plan|
    %tr
      %td= plan.start
      %td= plan.end
      %td= plan.content
      %td= plan.cow.ear_tag
      %td= link_to 'Show', plan
      %td= link_to 'Edit', edit_plan_path(plan)
      %td= link_to 'Destroy', plan, :confirm => 'Are you sure?', :method => :delete

%br

= link_to 'New Plan', new_plan_path

app/views/plans/new.html.haml
%h1 New plan

= render 'form'

= link_to 'Back', plans_path

app/views/plans/show.html.haml
%p#notice= notice

%p
  %b Start:
  = @plan.start
%p
  %b End:
  = @plan.end
%p
  %b Content:
  = @plan.content

= link_to 'Edit', edit_plan_path(@plan)
\|
= link_to 'Back', plans_path